# Uses of Class
org.apache.qpid.proton.codec.EncoderImpl

Packages that use EncoderImpl
Package
Description
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.messaging
org.apache.qpid.proton.codec.security
org.apache.qpid.proton.codec.transaction
org.apache.qpid.proton.codec.transport

## Uses of EncoderImpl in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return EncoderImpl
Modifier and Type
Method
Description
`EncoderImpl`
AbstractDescribedType.`getEncoder()`
Methods in org.apache.qpid.proton.codec with parameters of type EncoderImpl
Modifier and Type
Method
Description
`void`
BinaryType.`fastWrite(EncoderImpl encoder, Binary binary)`
`void`
SymbolType.`fastWrite(EncoderImpl encoder, Symbol symbol)`
`void`
TimestampType.`fastWrite(EncoderImpl encoder, long timestamp)`
`void`
UnsignedByteType.`fastWrite(EncoderImpl encoder, UnsignedByte value)`
`void`
UnsignedIntegerType.`fastWrite(EncoderImpl encoder, UnsignedInteger value)`
`void`
UnsignedLongType.`fastWrite(EncoderImpl encoder, UnsignedLong value)`
`void`
UnsignedShortType.`fastWrite(EncoderImpl encoder, UnsignedShort value)`
`void`
UUIDType.`fastWrite(EncoderImpl encoder, UUID value)`
`static void`
AMQPDefinedTypes.`registerAllTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
AMQPDefinedTypes.`registerMessagingTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
AMQPDefinedTypes.`registerSecurityTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
AMQPDefinedTypes.`registerTransactionTypes(Decoder decoder, EncoderImpl encoder)`
`static void`
AMQPDefinedTypes.`registerTransportTypes(Decoder decoder, EncoderImpl encoder)`
Constructors in org.apache.qpid.proton.codec with parameters of type EncoderImpl
Modifier
Constructor
Description
``
`AbstractDescribedType(EncoderImpl encoder)`
``
`ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)`
``
`ByteEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`CharacterEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`DoubleEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`DynamicDescribedType(EncoderImpl encoder, Object descriptor)`
``
`FloatEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`ShortEncoding(EncoderImpl encoder, DecoderImpl decoder)`
``
`UnsignedByteEncoding(EncoderImpl encoder, DecoderImpl decoder)`

## Uses of EncoderImpl in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return EncoderImpl
Modifier and Type
Method
Description
`EncoderImpl`
FastPathAcceptedType.`getEncoder()`
`EncoderImpl`
FastPathAmqpSequenceType.`getEncoder()`
`EncoderImpl`
FastPathAmqpValueType.`getEncoder()`
`EncoderImpl`
FastPathApplicationPropertiesType.`getEncoder()`
`EncoderImpl`
FastPathDataType.`getEncoder()`
`EncoderImpl`
FastPathDeliveryAnnotationsType.`getEncoder()`
`EncoderImpl`
FastPathFooterType.`getEncoder()`
`EncoderImpl`
FastPathHeaderType.`getEncoder()`
`EncoderImpl`
FastPathMessageAnnotationsType.`getEncoder()`
`EncoderImpl`
FastPathPropertiesType.`getEncoder()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type EncoderImpl
Modifier and Type
Method
Description
`static void`
AcceptedType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
AmqpSequenceType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
AmqpValueType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
ApplicationPropertiesType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DataType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeleteOnCloseType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeleteOnNoLinksOrMessagesType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeleteOnNoLinksType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeleteOnNoMessagesType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeliveryAnnotationsType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathAcceptedType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathAmqpSequenceType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathAmqpValueType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathApplicationPropertiesType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathDataType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathDeliveryAnnotationsType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathFooterType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathHeaderType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathMessageAnnotationsType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathPropertiesType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FooterType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
HeaderType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
MessageAnnotationsType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
ModifiedType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
PropertiesType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
ReceivedType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
RejectedType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
ReleasedType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
SourceType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
TargetType.`register(Decoder decoder, EncoderImpl encoder)`
Constructors in org.apache.qpid.proton.codec.messaging with parameters of type EncoderImpl
Modifier
Constructor
Description
``
`ApplicationPropertiesType(EncoderImpl encoder)`
``
`DeliveryAnnotationsType(EncoderImpl encoder)`
``
`FastPathAcceptedType(EncoderImpl encoder)`
``
`FastPathAmqpSequenceType(EncoderImpl encoder)`
``
`FastPathAmqpValueType(EncoderImpl encoder)`
``
`FastPathApplicationPropertiesType(EncoderImpl encoder)`
``
`FastPathDataType(EncoderImpl encoder)`
``
`FastPathDeliveryAnnotationsType(EncoderImpl encoder)`
``
`FastPathFooterType(EncoderImpl encoder)`
``
`FastPathHeaderType(EncoderImpl encoder)`
``
`FastPathMessageAnnotationsType(EncoderImpl encoder)`
``
`FastPathPropertiesType(EncoderImpl encoder)`
``
`FooterType(EncoderImpl encoder)`
``
`HeaderType(EncoderImpl encoder)`
``
`MessageAnnotationsType(EncoderImpl encoder)`
``
`ReleasedType(EncoderImpl encoder)`
``
`SourceType(EncoderImpl encoder)`
``
`TargetType(EncoderImpl encoder)`

## Uses of EncoderImpl in org.apache.qpid.proton.codec.security

Methods in org.apache.qpid.proton.codec.security with parameters of type EncoderImpl
Modifier and Type
Method
Description
`static void`
SaslChallengeType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
SaslInitType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
SaslMechanismsType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
SaslOutcomeType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
SaslResponseType.`register(Decoder decoder, EncoderImpl encoder)`

## Uses of EncoderImpl in org.apache.qpid.proton.codec.transaction

Methods in org.apache.qpid.proton.codec.transaction with parameters of type EncoderImpl
Modifier and Type
Method
Description
`static void`
CoordinatorType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeclaredType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DeclareType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DischargeType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
TransactionalStateType.`register(Decoder decoder, EncoderImpl encoder)`

## Uses of EncoderImpl in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return EncoderImpl
Modifier and Type
Method
Description
`EncoderImpl`
FastPathDispositionType.`getEncoder()`
`EncoderImpl`
FastPathFlowType.`getEncoder()`
`EncoderImpl`
FastPathTransferType.`getEncoder()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type EncoderImpl
Modifier and Type
Method
Description
`static void`
AttachType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
BeginType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
CloseType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DetachType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
DispositionType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
EndType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
ErrorConditionType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathDispositionType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathFlowType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FastPathTransferType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
FlowType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
OpenType.`register(Decoder decoder, EncoderImpl encoder)`
`static void`
TransferType.`register(Decoder decoder, EncoderImpl encoder)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type EncoderImpl
Modifier
Constructor
Description
``
`FastPathDispositionType(EncoderImpl encoder)`
``
`FastPathFlowType(EncoderImpl encoder)`
``
`FastPathTransferType(EncoderImpl encoder)`